Skip to content

Subcategories List ​

http
GET /content/v2/object/all

Base URL: https://content-api.wildberries.ru · Module: items · Section: Categories, Subcategories, and Characteristics · Specification doc ↗

Returns the list of all available subcategories, parent categories and their IDs

Request limit per one seller account for all methods in the Content category:

PeriodLimitIntervalBurst
1 min100 requests600 ms5 requests
Exceptions are the methods:

In Sandbox — maximum of 1 request per second for all Content methods in total.

Parameters ​

NameInTypeReq.Description
localequerystringnoLanguage for response of the name field: - ru — Russian - en — English - zh — Chinese Not used in the sandbox. The sandbox data is returned only in Russian
namequerystringnoSearch by item name (Socks), the search works by substring and can be conducted in any of the supported languages
limitqueryinteger<int64>noNumber of search results, maximum 1,000
offsetqueryinteger<int64>noHow many results to skip. For example, with value 10, the response will start with the 11 element
parentIDqueryinteger<int64>noSubcategory parent category ID

Responses ​

CodeDescriptionSchema
200SuccessGetV2ObjectAllResponse200
401Unauthorizedobject
403Access deniedobject
429Too many requestsobject

Structure 200:

  • data object[] — Categories and subcategories
    • subjectID integer<int64> — Subcategory ID
    • parentID integer<int64> — Parent category ID
    • subjectName string — Subcategory name
    • parentName string — Parent category name
  • error boolean — Error flag
  • errorText string — Error description
  • additionalErrors string — Additional errors

Structure 401:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Structure 403:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Structure 429:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Call examples ​

Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.

python
from wb_api_client.items import Configuration, ApiClient
from wb_api_client.items.api import ItemsApi

cfg = Configuration(access_token="<your WB JWT>")
api = ItemsApi(ApiClient(cfg))

result = api.get_v2_object_all(locale=..., name=..., limit=..., offset=..., parent_id=...)
print(result)
ts
import {
  Configuration,
  ItemsApi,
} from "@valeryverkhoturov/wb-api-client/items";

const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new ItemsApi(cfg);

const { data } = await api.getV2ObjectAll(locale, name, limit, offset, parentID);
console.log(data);
go
import (
	"context"
	"fmt"

	wbitems "github.com/ValeryVerkhoturov/wb-api-client-go/items"
)

cfg := wbitems.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbitems.NewAPIClient(cfg)

result, _, err := client.ItemsAPI.GetV2ObjectAll(context.Background()).Execute()
if err != nil {
    panic(err)
}
fmt.Printf("%+v\n", result)
java
import io.github.valeryverkhoturov.wbapi.items.ApiClient;
import io.github.valeryverkhoturov.wbapi.items.SecretString;
import io.github.valeryverkhoturov.wbapi.items.api.ItemsApi;

ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
ItemsApi api = new ItemsApi(client);

System.out.println(api.getV2ObjectAll(locale, name, limit, offset, parentID));
php
use ValeryVerkhoturov\WbApiClient\Items\Configuration;
use ValeryVerkhoturov\WbApiClient\Items\SecretString;
use ValeryVerkhoturov\WbApiClient\Items\Api\ItemsApi;
use GuzzleHttp\Client;

$config = (new Configuration())
    ->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new ItemsApi(new Client(), $config);

print_r($api->getV2ObjectAll());
bsl
#Использовать "wb-api-client"

Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый ItemsApi(Настройки);

Сообщить(Клиент.GetV2ObjectAll().Тело);
csharp
using ValeryVerkhoturov.WbApiClient.Items.Api;
using ValeryVerkhoturov.WbApiClient.Items.Client;

var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new ItemsApi(config);

Console.WriteLine(api.GetV2ObjectAll());
rust
use wb_api_client::items::apis::{configuration::Configuration, items_api};

#[tokio::main]
async fn main() {
    let mut cfg = Configuration::new();
    cfg.set_access_token("<your WB JWT>");

    let result = items_api::get_v2_object_all(&cfg, locale, name, limit, offset, parent_id).await;
    println!("{:#?}", result);
}